Open CASCADE Technology: PXCAFDoc_GraphNode Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
PXCAFDoc_GraphNode Class Reference

`#include <PXCAFDoc_GraphNode.hxx>`

Inheritance diagram for PXCAFDoc_GraphNode:
[legend]

## Public Member Functions
| PXCAFDoc_GraphNode ()
Standard_Integer | SetFather (const Handle< PXCAFDoc_GraphNode > &F)
Standard_Integer | SetChild (const Handle< PXCAFDoc_GraphNode > &Ch)
Handle< PXCAFDoc_GraphNode > | GetFather (const Standard_Integer Findex) const
Handle< PXCAFDoc_GraphNode > | GetChild (const Standard_Integer Chindex) const
Standard_Integer | FatherIndex (const Handle< PXCAFDoc_GraphNode > &F) const
Standard_Integer | ChildIndex (const Handle< PXCAFDoc_GraphNode > &Ch) const
Standard_Integer | NbFathers () const
Standard_Integer | NbChildren () const
void | SetGraphID (const Standard_GUID &GUID)
Standard_GUID | GetGraphID () const
| PXCAFDoc_GraphNode (const Storage_stCONSTclCOM &a)
Handle< PXCAFDoc_GraphNodeSequence > | _CSFDB_GetPXCAFDoc_GraphNodemyFathers () const
void | _CSFDB_SetPXCAFDoc_GraphNodemyFathers (const Handle< PXCAFDoc_GraphNodeSequence > &p)
Handle< PXCAFDoc_GraphNodeSequence > | _CSFDB_GetPXCAFDoc_GraphNodemyChildren () const
void | _CSFDB_SetPXCAFDoc_GraphNodemyChildren (const Handle< PXCAFDoc_GraphNodeSequence > &p)
const Standard_GUID & | _CSFDB_GetPXCAFDoc_GraphNodemyGraphID () const
Public Member Functions inherited from PDF_Attribute
| PDF_Attribute (const Storage_stCONSTclCOM &a)
| PDF_Attribute ()
Public Member Functions inherited from Standard_Persistent
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const

## Constructor & Destructor Documentation

PXCAFDoc_GraphNode::PXCAFDoc_GraphNode | ( |  | ) |

PXCAFDoc_GraphNode::PXCAFDoc_GraphNode | ( | const Storage_stCONSTclCOM & | a | ) |
| inline

## Member Function Documentation

Handle< PXCAFDoc_GraphNodeSequence > PXCAFDoc_GraphNode::_CSFDB_GetPXCAFDoc_GraphNodemyChildren | ( |  | ) | const
| inline

Handle< PXCAFDoc_GraphNodeSequence > PXCAFDoc_GraphNode::_CSFDB_GetPXCAFDoc_GraphNodemyFathers | ( |  | ) | const
| inline

const Standard_GUID& PXCAFDoc_GraphNode::_CSFDB_GetPXCAFDoc_GraphNodemyGraphID | ( |  | ) | const
| inline

void PXCAFDoc_GraphNode::_CSFDB_SetPXCAFDoc_GraphNodemyChildren | ( | const Handle< PXCAFDoc_GraphNodeSequence > & | p | ) |
| inline

void PXCAFDoc_GraphNode::_CSFDB_SetPXCAFDoc_GraphNodemyFathers | ( | const Handle< PXCAFDoc_GraphNodeSequence > & | p | ) |
| inline

Standard_Integer PXCAFDoc_GraphNode::ChildIndex | ( | const Handle< PXCAFDoc_GraphNode > & | Ch | ) | const

Standard_Integer PXCAFDoc_GraphNode::FatherIndex | ( | const Handle< PXCAFDoc_GraphNode > & | F | ) | const

Handle< PXCAFDoc_GraphNode > PXCAFDoc_GraphNode::GetChild | ( | const Standard_Integer | Chindex | ) | const

Handle< PXCAFDoc_GraphNode > PXCAFDoc_GraphNode::GetFather | ( | const Standard_Integer | Findex | ) | const

Standard_GUID PXCAFDoc_GraphNode::GetGraphID | ( |  | ) | const

Standard_Integer PXCAFDoc_GraphNode::NbChildren | ( |  | ) | const

Standard_Integer PXCAFDoc_GraphNode::NbFathers | ( |  | ) | const

Standard_Integer PXCAFDoc_GraphNode::SetChild | ( | const Handle< PXCAFDoc_GraphNode > & | Ch | ) |

Standard_Integer PXCAFDoc_GraphNode::SetFather | ( | const Handle< PXCAFDoc_GraphNode > & | F | ) |

void PXCAFDoc_GraphNode::SetGraphID | ( | const Standard_GUID & | GUID | ) |

The documentation for this class was generated from the following file:

- PXCAFDoc_GraphNode.hxx